# ACE_Utils::UUID Class Reference

`#include <UUID.h>`

Collaboration diagram for ACE_Utils::UUID:

[legend]
List of all members.

## Public Member Functions

| UUID (void)
| Constructor.
| UUID (const ACE_CString &uuidString)
| Construct a UUID from a string representation of an UUID.
| ~UUID (void)
ACE_UINT32 | timeLow (void)
| Data Members for Class Attributes.
void | timeLow (ACE_UINT32)
ACE_UINT16 | timeMid (void)
void | timeMid (ACE_UINT16)
ACE_UINT16 | timeHiAndVersion (void)
void | timeHiAndVersion (ACE_UINT16)
u_char | clockSeqHiAndReserved (void)
void | clockSeqHiAndReserved (u_char)
u_char | clockSeqLow (void)
void | clockSeqLow (u_char)
UUID_node * | node (void)
void | node (UUID_node *)
ACE_CString * | thr_id (void)
void | thr_id (char *)
ACE_CString * | pid (void)
void | pid (char *)
const ACE_CString * | to_string (void)
| Returns a string representation of the UUID.

## Static Public Attributes

UUID | NIL_UUID

## Private Member Functions

| UUID (const UUID &)
| Relational Operations.
UUID & | operator= (const UUID &)

## Private Attributes

ACE_UINT32 | timeLow_
| Data Members for Class Attributes.
ACE_UINT16 | timeMid_
ACE_UINT16 | timeHiAndVersion_
u_char | clockSeqHiAndReserved_
u_char | clockSeqLow_
UUID_node * | node_
int | node_release_
ACE_CString | thr_id_
ACE_CString | pid_
ACE_CString * | as_string_

## Constructor & Destructor Documentation

ACE_Utils::UUID::UUID | ( | void |  | ) |

| Constructor. Construct a nil UUID. Such a UUID has every one of it's data elements set to zero.

ACE_Utils::UUID::UUID | ( | const ACE_CString & | uuid_string | ) |

| Construct a UUID from a string representation of an UUID. Special case for the nil UUID. Support versions 1, 3, and 4 only

ACE_Utils::UUID::~UUID | ( | void |  | ) |

ACE_Utils::UUID::UUID | ( | const UUID & |  | ) | `[private]`

| Relational Operations.

## Member Function Documentation

ACE_INLINE void ACE_Utils::UUID::clockSeqHiAndReserved | ( | u_char |  | ) |

ACE_INLINE u_char ACE_Utils::UUID::clockSeqHiAndReserved | ( | void |  | ) |

ACE_INLINE void ACE_Utils::UUID::clockSeqLow | ( | u_char |  | ) |

ACE_INLINE u_char ACE_Utils::UUID::clockSeqLow | ( | void |  | ) |

ACE_INLINE void ACE_Utils::UUID::node | ( | UUID_node * |  | ) |

ACE_INLINE UUID_node * ACE_Utils::UUID::node | ( | void |  | ) |

UUID& ACE_Utils::UUID::operator= | ( | const UUID & |  | ) | `[private]`

ACE_INLINE void ACE_Utils::UUID::pid | ( | char * |  | ) |

ACE_INLINE ACE_CString * ACE_Utils::UUID::pid | ( | void |  | ) |

ACE_INLINE void ACE_Utils::UUID::thr_id | ( | char * |  | ) |

ACE_INLINE ACE_CString * ACE_Utils::UUID::thr_id | ( | void |  | ) |

ACE_INLINE void ACE_Utils::UUID::timeHiAndVersion | ( | ACE_UINT16 |  | ) |

ACE_INLINE ACE_UINT16 ACE_Utils::UUID::timeHiAndVersion | ( | void |  | ) |

ACE_INLINE void ACE_Utils::UUID::timeLow | ( | ACE_UINT32 |  | ) |

ACE_INLINE ACE_UINT32 ACE_Utils::UUID::timeLow | ( | void |  | ) |

| Data Members for Class Attributes.

ACE_INLINE void ACE_Utils::UUID::timeMid | ( | ACE_UINT16 |  | ) |

ACE_INLINE ACE_UINT16 ACE_Utils::UUID::timeMid | ( | void |  | ) |

const ACE_CString * ACE_Utils::UUID::to_string | ( | void |  | ) |

| Returns a string representation of the UUID. Only compute the string representation once.

## Member Data Documentation

ACE_CString* ACE_Utils::UUID::as_string_`[private]`

| The string representation of the UUID. This is created and updated only on demand.

u_char ACE_Utils::UUID::clockSeqHiAndReserved_`[private]`

u_char ACE_Utils::UUID::clockSeqLow_`[private]`

UUID ACE_Utils::UUID::NIL_UUID`[static]`

UUID_node* ACE_Utils::UUID::node_`[private]`

int ACE_Utils::UUID::node_release_`[private]`

ACE_CString ACE_Utils::UUID::pid_`[private]`

ACE_CString ACE_Utils::UUID::thr_id_`[private]`

ACE_UINT16 ACE_Utils::UUID::timeHiAndVersion_`[private]`

ACE_UINT32 ACE_Utils::UUID::timeLow_`[private]`

| Data Members for Class Attributes.

ACE_UINT16 ACE_Utils::UUID::timeMid_`[private]`

The documentation for this class was generated from the following files:

- UUID.h
- UUID.cpp
- UUID.inl